// screen dimming overlay // 

.overlay {
    background: rgba(0, 0, 0, 0.4);
    backdrop-filter: blur(5px); 
    position: fixed; 
    display: none; 
    width: 100%; 
    height: 100%; 
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 4;
    display: none;
}

.overlay--active {
    display: block;
}

.active {
    visibility: visible;
    opacity: 1;
}

// body // 

body {
    display: block;
    font-family: 'TT Norms Pro';
    position: relative;

    @media (max-width: 375px) {
        width: 375px;
    }
}

// footer bottom //

.main {
    min-height: calc(100vh - 138px);
}

// main indent // 

.main__indent {
    padding-top: 120px;

    @media (max-width: 1024px) {
        padding-top: 100px;
    }

    @media (max-width: 768px) {
        padding-top: 80px;
    }

    @media (max-width: 576px) {
        padding-top: 60px;
    }
}

// section indent // 

.section__indent {
    padding-top: 60px;

    @media (max-width: 1024px) {
        padding-top: 50px;
    }

    @media (max-width: 768px) {
        padding-top: 40px;
    }

    @media (max-width: 576px) {
        padding-top: 30px;
    }
}

// container // 

.container {
    max-width: 1440px;
    width: 100%;
    margin: 0 auto;
    padding: 0 30px;

    @media (max-width: 1024px) {
        padding: 0 15px;
    }
}

.section__container {
    max-width: 1280px;
    width: 100%;
    margin: 0 auto;
    padding: 0 30px;

    @media (max-width: 1024px) {
        padding: 0 15px;
    }
}

// breadcrumbs // 

.breadcrumbs {
    margin-bottom: 100px;
    position: relative;
    z-index: 1;

    @media (max-width: 1024px) {
        text-align: center;
        margin-bottom: 80px;
    }

    @media (max-width: 576px) {
        margin-bottom: 60px;
    }

    .breadcrumb__link {
        @include breadcrumbLink;
    }

    .breadcrumb-color__link {
        @include breadcrumbLinkCatalog;
    }
}

// buttons // 

.calculate__button {
    @include calculateButton;
}

// calculate block // 

.calculate__block {
    padding: 3rem;
   
    @media (max-width: 425px) {
        padding: 2rem;
    }

    .calculate__title {
        @include calculateTitle;
    }

    .calculate__form {
        display: flex;
        justify-content: space-between;
        gap: 40px;

        @media (max-width: 1024px) {
            gap: 20px;
        }

        @media (max-width: 768px) {
            flex-direction: column;
            align-items: center;
        }

        .form__block {
            max-width: 400px;
            width: 100%;

            @media (max-width: 768px) {
                height: 62px;
            }

            .calculate__input {
                @include calculateInput;
            }
        }
    }
}

// section // 

.section {
    margin-bottom: 150px;

    @media (max-width: 1024px) {
        margin-bottom: 100px;
    }

    @media (max-width: 576px) {
        margin-bottom: 80px;
    }
}

.section__slider {
    margin-bottom: 180px;

    @media (max-width: 1280px) {
        margin-bottom: 150px;
    }

    @media (max-width: 1024px) {
        margin-bottom: 130px;
    }

    @media (max-width: 576px) {
        margin-bottom: 120px;
    }
}

.main__title {
    @include mainTitle;
}

.section__title {
    @include sectionTitle;
}


// color section // 


// block // 

.block__title {
    @include blockTitle;
}

// description-work // 

.description-work__item {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: $lightSilver;
    color: $outerSpace;
    gap: 30px;
    border-radius: 20px;
    height: 200px;
    padding: 2rem;
    width: 100%;
    transition: 0.4s ease;
    
    &:hover {
        box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
    }

    .description-work__wrapper {
        .description-work__title {
            @include descriptionWorkTitle;
        }

        .description-work__text {
            @include descriptionWorkText;
        }
    }
}

// sliders // 

// slide image // 

.slide-image {
    display: block;
    width: 100%;
    height: 100%;
    border-radius: 8px;
}

// slider hover // 

.swiper-slide  {
    display: block;
    position: relative;
    cursor: pointer;
    
    &:hover {
        .slide-hover {
            background-color: $silverChalice;
            opacity: 0.8;

            &::before {
                opacity: 1;
            }
        }
    }

    .slide-hover {
        position: absolute;
        height: 100%;
        width: 100%;
        top: 0;
        right: 0;
        left: 0;
        bottom: 0;
        z-index: 1;
        transition: .4s ease;
        border-radius: 8px;
    
        &::before {
            position: absolute;
            content: url('../img/icon/loupe.svg');
            top: 50%;
            left: 50%;
            transform: translate(-50%,-50%);
            opacity: 0;
            transition: .4s ease;
        }
    
    }
}

// slider paginations // 

.swiper-pagination__wrapper {
    position: relative;
    display: block;
    bottom: -70px;

    @media (max-width: 1024px) {
        bottom: -60px;
    }

    @media (max-width: 576px) {
        bottom: -55px;
    }

    .pagination {
        display: flex;
        gap: 10px;
        justify-content: center;
        z-index: 2;

        @media (max-width: 576px) {
            gap: 5px
        }
    
        .swiper-pagination-bullet {
            background-color: $lustHover;
            width: 15px;
            height: 15px;

            @media (max-width: 768px) {
                width: 10px;
                height: 10px;
            }

            @media (max-width: 576px) {
                width: 8px;
                height: 8px;
            }
        }
    }
}

// slider arrows // 

.swiper-button__wrapper {
    position: absolute;
    width: 100%;
    top: 50%;
    transform: translateY(-50%);
    z-index: 2;

    .swiper-button-next {
        right: -100px;

        @media (max-width: 1280px) {
            right: -30px;
        };

        @media (max-width: 1024px) {
            right: -65px;
        };
    }

    .swiper-button-prev {
        left: -100px;

        @media (max-width: 1280px) {
            left: -30px;
        };

        @media (max-width: 1024px) {
            left: -65px;
        }
    }
}


// text content // 

.content__block {
    @include contentText;
    margin-bottom: 80px;

    @media (max-width: 1280px) {
        margin-bottom: 60px;
    }

    @media (max-width: 1024px) {
        margin-bottom: 50px;
    }

    @media (max-width: 768px) {
        margin-bottom: 40px;
    }

    .content__text {
        margin-bottom: 20px;
    }

    .content__list {
        padding-left: 20px;

        .content__item {
            margin-bottom: 10px;

            &::marker {
                color: $deepJungleGreen;
            }

            &:last-child {
                margin-bottom: 20px;
            }
        }
    }

    .content__images {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 50px;
        margin: 80px 0;

        @media (max-width: 1280px) {
            gap: 30px;
            margin: 60px 0;
        }

        @media (max-width: 768px) {
            gap: 20px;
            margin: 40px 0;
        }

        @media (max-width: 576px) {
            gap: 15px;
        }

        @media (max-width: 425px) {
            flex-wrap: wrap;
        }

        .background__image {
            background-repeat: no-repeat;
            background-size: cover;
            background-position: center;
            border-radius: 8px;
            width: 100%;
            height: 350px;
            transition: 0.4s ease;

            &:hover {
                box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
            }
            
            @media (max-width: 1280px) {
                height: 300px;
            }

            @media (max-width: 768px) {
                height: 200px;
            }

            @media (max-width: 576px) {
                height: 150px;
            }
        }
    }

    .content__image {
        width: 100%;
    }

    .text__bold {
        font-weight: bold;
    }
}


// сatalog item // 

.catalog__item {
    border: 1px solid $lightSilver;
    border-radius: 8px;
    text-align: center;
    justify-content: space-between;
    padding: 1rem;
    transition: 0.4s ease;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    gap: 30px;
    height: auto;

    @media (max-width: 475px) {
        padding: 0.5rem;
        gap: 15px;
    }

    &:hover {
        box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
    }
    
    .product__wrapper {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 30px;

        @media (max-width: 475px) {
            gap: 20px;
        }

        .product__image {
            width: 100%;
            height: 100%;
        } 
    }

    .product__name {
        @include productName;
    }

    &:hover {
        .product__name {
            color: $lustHover;
        }
    }

    .price__wrapper {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .product__price {
        @include productPrice;
    }

    .price__button {
        @include priceButton;
    }
}

// catalog console //

.console__catalog {
    background-color: $lotion;
    @include colorSection;
    color: $outerSpace;

    .catalog__list {
        .catalog__item {
            border: 1px solid $deepJungleGreen;
        }
    }

}



// accordion // 

.accordion__block {
    max-width: 1024px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 50px;

    @media (max-width: 1024px) {
        gap: 25px;
    }

    .accordion__item {
        background-color: $white;
        border-radius: 8px;
        padding: 1.5rem;
        color: $outerSpace;
        transition: 0.4s ease;
        
        &:hover {
            box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
        }

        .accordion__input {
            position: absolute;
            opacity: 0;
            z-index: -2;
        }

        .accordion__input:checked {
            + .accordion__label {
                .accordion__icon {
                    transform: rotate(405deg)
                }
            }
            
            ~ .accordion__content {
                max-height: 100vh;
                overflow: visible;
                opacity: 1;
            }
        }

        .accordion__label {
            display: flex;
            align-items: center;
            justify-content: space-between;
            cursor: pointer;
            
            .accordion__icon {
                transition: 0.9s ease;
            }

            .accordion__title {
                @include accordionTitle;
            }
        }

        .accordion__content {
            max-height: 0;
            overflow: hidden;
            opacity: 0;
            transition: 0.9s ease;
           
            .accordion__text {
                @include accordionText;
            }
        }

    }
}

// text link // 

.text__link {
    transition: 0.4s ease;

    &:hover {
        color: $lustHover;
    }
}

// back to top button // 

.back-to-top {
    position: fixed;
    visibility: hidden;
    opacity: 0;
    display: flex;
    align-items: center;
    bottom: 15px;
    left: 15px;
    background-color: $lust;
    border-radius: 100%;
    padding: 0.7rem;
    z-index: 3;
    transition: 0.4s ease;
    box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);

    &:hover {
        background-color: $lustHover;
    }

    @media (max-width: 1024px) {
        svg {
            width: 30px;
            height: 30px;
        }
    }

    @media (max-width: 768px) {
        bottom: 95px;
        left: initial;
        right: 15px;
    }

}

.back-to-top--show {
    visibility: visible;
    opacity: 1;
}

// text card page //

.product-description__title {
    @include productDescriptionTitle;
}

.product-description__text {
    @include productDescriptionText;
}


// page navigation // 

.page__navigation {
    border-top: 1px solid $lightSilver;
    padding-top: 2rem;
    display: flex;
    justify-content: center;
    gap: 10px;

    .page__button {
        @include pageButton;
    }
}

